<script setup lang="ts">
import { inject, type Ref } from 'vue'
import { useUserStore } from '@/stores/user'
import { useAuthStore } from '@/stores/auth'

const userStore = useUserStore()
const authStore = useAuthStore()
const drawer = inject<Ref<boolean>>('drawer')
const titleBar = inject<Ref<string>>('title')
</script>

<template>
  <div>
    <v-app-bar>
      <div style="padding-left: 10px">
        <v-avatar size="40" class="mr-3" @click.stop="drawer = !drawer">
          <v-img src="src/image/logo/logo1 (2).png"></v-img>
        </v-avatar>
      </div>

      <v-app-bar-title> {{ titleBar }} </v-app-bar-title>
      <v-spacer></v-spacer>

      <div class="text-center">
        <v-menu transition="fab-transition">
          <template v-slot:activator="{ props }">
            <v-list-item
              lines="two"
              v-bind="props"
              :prepend-avatar="'http://localhost:3000/images/users/' + userStore.currentUser?.image"
              :title="userStore.currentUser?.name"
              :subtitle="userStore.currentUser?.role.name"
              width="auto"
            ></v-list-item>
          </template>
          <v-list>
            <v-list-item
              prepend-icon="mdi-account"
              title="Profile"
              value="profile"
              @click="titleBar = 'Profile'"
              :to="{ path: '/profile' }"
            >
            </v-list-item>
            <v-list-item v-for="n in 1" :key="n">
              <v-btn @click="authStore.logout" block color="red" :margin="0" :padding="0">
                Logout
              </v-btn>
            </v-list-item>
          </v-list>
        </v-menu>
      </div>
    </v-app-bar>
  </div>
</template>

<style scoped></style>
